package cn.fastfun.controller.dto.asset;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreType;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Setter
@Getter
@NoArgsConstructor
public class ResponseDTO {
    private static final long serialVersionUID = -1821068317406106793L;

    @JsonIgnoreType
    @Setter
    @Getter
    public static class AllInfo{
        // 时间
        private String time;

        // 类型
        private String type;

        // 金额
        private BigDecimal amount = new BigDecimal(0);

        // 关联订单
        private String order;

        // 说明
        private String description;
    }

    @JsonIgnoreType
    @Setter
    @Getter
    public static class ProfitPredict{
        // 时间
        private String time;

        // 总价
        private BigDecimal totalAmount = new BigDecimal(0);

        // 净收入
        private BigDecimal netIncome = new BigDecimal(0);

        // 当前IRR
        private String curIRR;

        // 当前毛利
        private BigDecimal description = new BigDecimal(0);

        // 预估收入
        private BigDecimal preIncome = new BigDecimal(0);

        // 总体IRR
        private String preIRR;

        // 预估剩余回本周期
        private Integer backPeriod = 0;
    }

    private List<AllInfo> allInfoList = new ArrayList<>();

    private List<ProfitPredict> profitPredictInfoList = new ArrayList<>();

    // 当前租期开始
    private String orderStartTime;

    // 当前租期结束
    private String orderEndTime;

    // 当前租金
    private BigDecimal rental = new BigDecimal(0);

    // 当前押金
    private BigDecimal cash = new BigDecimal(0);

    // 租金收入
    private BigDecimal income = new BigDecimal(0);

    // 押金收取
    private BigDecimal cashIn = new BigDecimal(0);

    // 丢失保障金
    private BigDecimal securityCash = new BigDecimal(0);

    // 净租金
    private BigDecimal netRental = new BigDecimal(0);

    // 运维总支出
    private BigDecimal omTotalCost = new BigDecimal(0);
    // 平台服务费
    private BigDecimal omPlatformCost = new BigDecimal(0);
    // 故障总支出
    private BigDecimal omFaultCost = new BigDecimal(0);

    // 赔偿总支出
    private BigDecimal comTotalCost = new BigDecimal(0);

    // 营销总支出
    private BigDecimal saleTotalCost = new BigDecimal(0);

    // 仓储状态
    private String opStorageState;
    // 当前押金
    private BigDecimal opCurrentCash = new BigDecimal(0);
    // 运输状态
    private String opTransportState;

    // 运营总费用
    private BigDecimal opTotalCost = new BigDecimal(0);
    // 仓储费用
    private BigDecimal opStorageCost = new BigDecimal(0);
    // 运输费用
    private BigDecimal opTransportCost = new BigDecimal(0);
    // 销售费用
    private BigDecimal opSaleCost = new BigDecimal(0);
    // 平台费用
    private BigDecimal opPlatformCost = new BigDecimal(0);

    // 已支付金融成本
    private BigDecimal fiPaidCost = new BigDecimal(0);
    // 剩余金融成本
    private BigDecimal fiResidueCost = new BigDecimal(0);

    // 处置净收益
    private BigDecimal handleProfit = new BigDecimal(0);

    // 毛利
    private BigDecimal grossProfit = new BigDecimal(0);

    // 其他总支出
    private BigDecimal otherTotalCost = new BigDecimal(0);

    // 其他总收入
    private BigDecimal otherTotalIncome = new BigDecimal(0);

    // 净收入
    private BigDecimal netIncome = new BigDecimal(0);

    // 分页total
    private long total;



}
