package cn.fastfun.controller.param;

import com.bridge.dto.QueryParam;

import com.bridge.dto.QueryParamExp;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.util.StringUtils;

import java.math.BigDecimal;
import java.util.Date;

@Setter
@Getter
public class AssetProfitParam extends QueryParam {

    @ApiModelProperty(value = "sn", name = "sn", required = true)
    private String sn;


    @ApiModelProperty(value = "起始时间", name = "timeStart", required = true)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date timeStart;

    @ApiModelProperty(value = "结束时间", name = "timeEnd", required = true)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date timeEnd;

    @ApiModelProperty(value = "table页编号(1:租赁信息", name = "table_order", required = true)
    private Integer tableOrder;

    @ApiModelProperty(value = "类型（1：押金收， 2：押金支， 3：租金收， 4：租金支， 5：丢失保障金, 多个用逗号隔开", name = "type", required = true)
    private String type;

    private Boolean figureOrNot = false;

    // 总价
    private BigDecimal totalCost = new BigDecimal(3000);


}
