package cn.fastfun.controller.param;

import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class DeviceFormParam {


    @ApiModelProperty(value = "SN号", name = "sn", required = true)
    private String sn;

    @ApiModelProperty(value = "IMEI", name = "imei", required = true)
    private String imei;

    @ApiModelProperty(value = "批次号", name = "batchNum", required = true, example = "")
    private String batchNum;

    @ApiModelProperty(value = "收货地", name = "receivedPlace", required = true, example = "")
    private String receivedPlace;

    @ApiModelProperty(value = "包型号", name = "packModel", required = true, example = "")
    private String packModel;

    @ApiModelProperty(value = "单体型号", name = "cellModel", required = true, example = "")
    private String cellModel;

    @ApiModelProperty(value = "发货时间", name = "deliverTime", required = true)
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date deliverTime;

}
