package cn.fastfun.service;

import com.bridge.exception.ApiRuntimeException;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.env.Environment;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.io.File;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.UUID;

/**
 * @author bridge
 * @date 2023/8/8  14:06
 */
@Slf4j
@Service
public class AlarmService {

    @Autowired
    Environment environment;

    public String getPath() {
        return environment.getProperty("project.upload");
    }

    /**
     * 上传文件
     *
     * @param file
     */
    public String uploadFile(MultipartFile file) {
        if (file.isEmpty()) {
            throw new ApiRuntimeException("文件流错误!");
        }
        String filePath = getPath();
        if (!filePath.endsWith("/")) {
            filePath = filePath.concat("/");
        }
        String path = filePath.concat("file/").concat(new SimpleDateFormat("yyMM/").format(new Date()));
        if (!new File(path).exists()) {
            new File(path).mkdirs();
        }
        try {
            String fileName = UUID.randomUUID().toString().replace("-", "");
            String ext = file.getOriginalFilename().substring(file.getOriginalFilename().lastIndexOf("."));
            file.transferTo(new File(path.concat(fileName).concat(ext)));
            return "/".concat(path).concat(fileName).concat(ext).replace(filePath, "");
        } catch (IOException e) {
            throw new ApiRuntimeException(500, "文件上传失败", e);
        }
    }
}
