package cn.fastfun.service;

import cn.fastfun.controller.param.*;
import cn.fastfun.service.entity.AppDeviceLog;
import com.bridge.service.JpaService;

import java.util.List;
import java.util.Map;

/**
 * 设备操作日志
 */
public interface AppDeviceLogService extends JpaService<AppDeviceLog, String> {

    /**
     * 入库动作
     *
     * @param param
     */
    void putInStorage(LibraryInFormParam param);

    /**
     * 设备自检

     */

    public Map<String, Boolean> selfCheck(String sn);

    /**
     * 设备划拨
     *
     * @param param
     */
    void transfer(TransferFormParam param);

    void transferBack(TransferFormParam  param);

    /**
     * 设备出库
     *
     * @param param
     */
    void outStorage(LibraryOutFormParam param);

    /**
     * 设备处置
     *
     * @param param
     */
    void handle(HandelFormParam param);

    /**
     * 获取客户列表
     * @return java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
     */
    List<Map<String,Object>> getCustomList();
}
