package cn.fastfun.service;

import cn.fastfun.controller.dto.CellDto;
import cn.fastfun.controller.param.QueryParamForCellModel;
import cn.fastfun.service.entity.CellModel;
import cn.fastfun.service.vo.CellModelVo;
import com.bridge.dto.ApiPageDTO;
import com.bridge.service.JpaService;

/**
 * @author user
 */
public interface CellModelService extends JpaService<CellModel, String> {
    /**
     * 分页搜索单体型号
     * @param param 参数
     * @return com.bridge.dto.ApiPageDTO
     */
    ApiPageDTO getCellModelPageInfo(QueryParamForCellModel param);

    /**
     * 单体型号详情
     * @param id 参数
     * @return cn.fastfun.service.vo.CellModelVo
     */
    CellModelVo getCellDetail(String id);

    /**
     * 删除单体型号
     * @param id 参数
     * @return java.lang.String
     */
    String delCell(String id);

    /**
     * 新增单体型号
     * @param dto 参数
     * @return java.lang.String
     */
    String addCell(CellDto dto);

    /**
     * 修改单体型号
     * @param dto 参数
     * @return java.lang.String
     */
    String modifyCell(CellDto dto);
}
