package cn.fastfun.service;

import cn.fastfun.controller.dto.PackDto;
import cn.fastfun.controller.param.QueryParamForPackModel;
import cn.fastfun.service.entity.PackModel;
import cn.fastfun.service.vo.PackModelReadyListVo;
import cn.fastfun.service.vo.PackModelVo;
import com.bridge.dto.ApiPageDTO;
import com.bridge.service.JpaService;

import java.util.List;

/**
 * @author user
 */
public interface PackModelService extends JpaService<PackModel, String> {

    /**
     * 分页搜索包型号
     * @param param 参数
     * @return com.bridge.dto.ApiPageDTO
     */
    ApiPageDTO getPackModelPageInfo(QueryParamForPackModel param);

    /**
     * 包型号详情
     * @param id 参数
     * @return cn.fastfun.service.vo.PackModelVo
     */
    PackModelVo getPackDetail(String id);

    /**
     * 删除包型号
     * @param id 参数
     * @return java.lang.String
     */
    String delPack(String id);

    /**
     * 新增包型号
     * @param dto 参数
     * @return java.lang.String
     */
    String addPack(PackDto dto);

    /**
     * 修改包型号
     * @param dto 参数
     * @return java.lang.String
     */
    String modifyPack(PackDto dto);

    /**
     * 页面加载单体型号列表
     * @return cn.fastfun.service.vo.PackModelReadyListVo
     */
    PackModelReadyListVo readyForListBox();

    /**
     * 通过包型号获取单体型号列表
     * @param packModel 参数
     * @return
     */
    PackModelReadyListVo getCellModelByPack(String packModel);

    /**
     * 通过单体型号获取包型号列表
     * @param cellModel 参数
     * @return java.util.List<cn.fastfun.service.vo.PackModelVo>
     */
    List<PackModelVo> getPackModelByCell(String cellModel);

    /**
     * 包型号列表
     * @return java.util.List<cn.fastfun.service.vo.PackModelVo>
     */
    List<PackModelVo> getPackModelList();
}
