package cn.fastfun.service.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.bridge.entity.IdEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.hibernate.annotations.JoinColumnOrFormula;
import org.hibernate.annotations.JoinColumnsOrFormulas;
import org.hibernate.annotations.JoinFormula;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.Map;

/**
 * @author bridge
 */
@Entity
@Table(name = "t_alarm_code")
@Setter
@Getter
@NoArgsConstructor
public class AlarmCode extends IdEntity {

    @ApiModelProperty(value = "协议", name = "protocolCode", required = true)
    @Column(name = "protocol_code")
    private String protocolCode;

    // 关联字典表:app_procedure_file_status
    @JsonIgnore
    @ManyToOne(targetEntity = SysDict.class)
    @JoinColumnsOrFormulas(value = {
            @JoinColumnOrFormula(column = @JoinColumn(name = "protocol_code", referencedColumnName = "name", insertable = false, updatable = false, nullable = false)),
            @JoinColumnOrFormula(formula = @JoinFormula(value = "'bms_code'", referencedColumnName = "group_name"))
    })
    private SysDict protocolCodeDict;


    @Transient
    @JsonInclude(value = JsonInclude.Include.NON_NULL)
    public String getProtocolCodeTitle() {
        return null != protocolCodeDict ? protocolCodeDict.getValue() : "";
    }

    @ApiModelProperty(value = "故障编码", name = "alarmCode", required = true)
    @Column(name = "alarm_code")
    private String alarmCode;

    @ApiModelProperty(value = "故障级别", name = "alarmLevel", required = true)
    @Column(name = "alarm_level")
    private String alarmLevel;

    @ApiModelProperty(value = "故障名称", name = "alarmTitle", required = true)
    @Column(name = "alarm_title")
    private String alarmTitle;

    @ApiModelProperty(value = "文件地址", name = "fileUrl", required = true)
    @Column(name = "file_url")
    private String fileUrl;


    public AlarmCode(Map<Integer, String> excelMap) {
        setAlarmTitle(excelMap.get(0));
        setAlarmCode(excelMap.get(1));
        setAlarmLevel(excelMap.get(2));
    }
}
