package cn.fastfun.service.entity;


import com.bridge.entity.DateEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author user
 */
@Getter
@Setter
@Entity
@Table(name="t_pack")
public class PackModel extends DateEntity {

    @ApiModelProperty(value = "单体型号", name = "cell_model", required = true)
    @Column(name="cell_model")
    private String cellModel;

    @ApiModelProperty(value = "包型号", name = "pack_model", required = true)
    @Column(name="pack_model")
    private String packModel;

    @ApiModelProperty(value = "电压采样点", name = "volt_cell_amount", required = true)
    @Column(name="volt_cell_amount")
    private Integer voltCellAmount;

    @ApiModelProperty(value = "温度采样点", name = "temp_cell_amount", required = true)
    @Column(name="temp_cell_amount")
    private Integer tempCellAmount;

    @ApiModelProperty(value = "操作者", name = "operator", required = true)
    @Column(name="operator")
    private String operator;
}
