package cn.fastfun.service.impl;

import cn.fastfun.controller.param.AssetPageQueryParam;
import cn.fastfun.controller.param.AssetProfitParam;
import cn.fastfun.service.entity.AppAssetConf;
import cn.fastfun.service.mapper.AppAssetConfMapper;
import cn.fastfun.service.IAppAssetConfService;
import cn.fastfun.service.entity.AppAssetConf;
import cn.fastfun.service.mapper.AppAssetConfMapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bridge.exception.ApiRuntimeException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jek
 * @since 2021-11-18
 */
@Service
public class AppAssetConfServiceImpl extends ServiceImpl<AppAssetConfMapper, AppAssetConf> implements IAppAssetConfService {

    @Autowired
    AppAssetConfServiceImpl appAssetConfService;

    public Page<AppAssetConf> appAssetConfPageQuery(AssetProfitParam appAssetConf) {
        Page<AppAssetConf> page = new Page<>(appAssetConf.getIndex(), appAssetConf.getLength());
        QueryWrapper<AppAssetConf> appAssetConfQueryWrapper = new QueryWrapper<>();
        appAssetConfQueryWrapper.eq("is_delete", 0);
        if (!StringUtils.hasLength(appAssetConf.getSn())) {
            throw new ApiRuntimeException("请输入sn");
        }

        if (StringUtils.hasLength(appAssetConf.getSn())) {
            appAssetConfQueryWrapper.like("sn", appAssetConf.getSn());
        }
        if (appAssetConf.getTableOrder() != null) {
            appAssetConfQueryWrapper.eq("table_order", appAssetConf.getTableOrder());
        }
        if (appAssetConf.getType() != null) {
            appAssetConfQueryWrapper.eq("type", appAssetConf.getType());
        }
        if (appAssetConf.getTimeStart() != null) {
            appAssetConfQueryWrapper.gt("time", appAssetConf.getTimeStart());
        }
        if (appAssetConf.getTimeEnd() != null) {
            appAssetConfQueryWrapper.lt("time", appAssetConf.getTimeEnd());
        }

        Page<AppAssetConf> page1 = appAssetConfService.page(page, appAssetConfQueryWrapper);
        return page1;
    }
}
