package cn.fastfun.service.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zyg
 * @className PackModelVo
 * @date 2023年02月16日 13:54
 */
@Data
public class PackModelVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "单体型号")
    private String cellModel;

    @ApiModelProperty(value = "包型号")
    private String packModel;

    @ApiModelProperty(value = "电压采样点")
    private Integer voltCellAmount;

    @ApiModelProperty(value = "温度采样点")
    private Integer tempCellAmount;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date addTime;

    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    @ApiModelProperty(value = "操作者")
    private String operator;
}
